import { EventEmitter } from '@angular/core';
import { InputTextComponent } from '@colijnit/corecomponents_v12';
import { TransactionInputHeaderFieldBaseComponent } from '../core/base/transaction-input-header-field-base.component';
export declare class TransactionHeaderDiscountTransactionTotalComponent extends TransactionInputHeaderFieldBaseComponent {
    set child(content: any);
    inputLabel: boolean;
    EditDone: EventEmitter<void>;
    input: InputTextComponent;
    transactionTotalAmount: number;
    onBlur(): void;
    commit(amount: number): Promise<boolean>;
}
